package rocks.zipcode.quiz5.collections;
import java.util.HashMap;
import java.util.Map;


public class WordCounter {
    Map<String, Integer> words = new HashMap<>();

    public WordCounter(String... strings) {
        for(String str: strings){
            if(!words.containsKey(str)){
                words.put(str,1);
            }else{
                words.put(str,words.get(str)+1);
            }
        }
    }

    public Map<String, Integer> getWordCountMap() {

        return words;
    }
}
