package rocks.zipcode.quiz5.fundamentals;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string) {

        return string.charAt(string.length()/2);
    }

    public static String capitalizeMiddleCharacter(String str) {
        return str.substring(0, str.length()/2) + getMiddleCharacter(str)
                .toString().toUpperCase() + str.substring(str.length()/2 + 1);
    }

    public static String lowerCaseMiddleCharacter(String str) {
        return str.substring(0, str.length()/2) + getMiddleCharacter(str)
                .toString().toLowerCase() + str.substring(str.length()/2 + 1);
    }

    public static Boolean isIsogram(String str) {
        for (int i = 0; i < str.length(); i++) {
            for (int j = 1; j < str.length(); j++) {
                if(str.charAt(i)!=str.charAt(j)){
                    return true;
                }
            }
        }
        return false;
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str) {
        boolean hasDupl = false;
        char[] chars = str.toCharArray();
        for (int i = 1; i < chars.length-1; i++) {
            if(chars[i]==chars[i+1]){
                hasDupl =  true;
                break;
            }
        }
        return hasDupl;
    }

    public static String removeConsecutiveDuplicateCharacters(String str) {
        String[] words = str.split("");
        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < words.length-1; i++) {
            if(words[i].equals(words[i+1])){
                i++;
            }else
                builder.append(words[i]);
        }
        builder.append(words[words.length-1]);
        return builder.toString();
    }

    public static String invertCasing(String str) {
        return org.apache.commons.lang3.StringUtils.swapCase(str);
    }
}